# nanoIO
Amateur Radio FSK/CW interface Arduino sketch for nano board

An FSK / CW interface based on the Arduino nano.

FSK Specifications:
  5 bit Baudot
  baud rates 45.45, 50, 75 and 100

CW Specifications:
  5 to 100 WPM
  dash/dot ratio adjustable 2.5 to 3.5
  in-line increment decrement WPM using ^ and | characters
  incremental size user adjustable

Both: 
  an internal buffer of 300 characters is available for buffered transmit.
  PTT signal generated by Arduino

Hardware requirements:
  Arduino nano or compatible (author used nano from Elegoo)
  LTV-847 quad opto-isolator
  4 620 ohm ¼ watt resistor (should work with 500 < R < 820 ohm)
  suitable connectors to interface to transceiver

Library requirements:
  TimerOne

Default pin assignements for nanoIO circuit design:
   D9 / PIN 9  - spare
  D10 / PIN 10 - PTT
  D11 / PIN 11 - FSK_PIN
  D12 / PIN 12 - CW 
   D5          - Left paddle in
   D2          - Right paddle in 

This sketch can be configured to be pin compatible with MORTTY, a do-it-yourself
kit produced by N8AR and K8UT.  MORTTY is an inexpensive minimalist solution that 
depends upon the configuration and control features incorporated in the 
computer program.  It has only two inputs and two outputs:
  a USB serial port interface to the computer,
  a CW paddle,
  a PTT signal line, and 
  a shared CW/FSK signalling line.

